/*
* Copyright 2009 by GRUPO IE, Inc.
* 
* Private and Confidential
* Code contained in this document is the property of GRUPO IE. 
* It is for the exclusive use of designated employees 
* and not for distribution without prior written
* authorization.
*/
/*
* Q02bQ022HV01.java
*
* Created on 06/04/09 04:21:29
*/
package q02b.exe.tablasBD;
import java.sql.SQLException;
import java.sql.ResultSet;
import java.sql.Connection;
import q02b.exe.arquitectura.dataobjects.Q02bDAOException;
import q02b.exe.arquitectura.utils.tablasBD.*;
import java.util.ArrayList;
//import java.math.BigDecimal;

/*
*
* @author automatic generated
* @version 1.0
*/
public class Q02bTablaBDQ0299S00 extends Q02bTablaBD implements Q02bITablaBDQ0299S00 {
    private static final long serialVersionUID =1L;
    /** Constante para la propiedad Q0299T00_VALIDACION */
    public final static String NOMCOLUMN_Q0299T00_VALIDACION = "Q0299T00_VALIDACION";
    
    /** Constante para la propiedad Q0299T00_TEXTO */
    public final static String NOMCOLUMN_Q0299T00_TEXTO = "Q0299T00_TEXTO";
    
    /** Constante para la propiedad Q0299T00_GRUPO */
    public final static String NOMCOLUMN_Q0299T00_GRUPO = "Q0299T00_GRUPO";
    
    /** Constante para la propiedad Q0299T00_CUES */
    public final static String NOMCOLUMN_Q0299T00_CUES = "Q0299T00_CUES";
    
    /** Constante para la propiedad Q0299T00_ANO */
    public final static String NOMCOLUMN_Q0299T00_ANO = "Q0299T00_ANO";
    
    /** Constante para la propiedad Q0299T00_MES */
    public final static String NOMCOLUMN_Q0299T00_MES = "Q0299T00_MES";
    
    /** Constante para la propiedad Q0299T00_CODPROV */
    public final static String NOMCOLUMN_Q0299T00_CODPROV = "Q0299T00_CODPROV";
    
    /** Constante para la propiedad Q0299T00_NOMPROV */
    public final static String NOMCOLUMN_Q0299T00_NOMPROV = "Q0299T00_NOMPROV";
    
    /** Constante para la propiedad Q0299T00_CODMUN */
    public final static String NOMCOLUMN_Q0299T00_CODMUN = "Q0299T00_CODMUN";
    
    /** Constante para la propiedad Q0299T00_NOMMUN */
    public final static String NOMCOLUMN_Q0299T00_NOMMUN = "Q0299T00_NOMMUN";
    
    /** Constante para la propiedad Q0299T00_LICENCIA */
    public final static String NOMCOLUMN_Q0299T00_LICENCIA = "Q0299T00_LICENCIA";
    
    /** Constante para la propiedad Q0299T00_FECENT */
    public final static String NOMCOLUMN_Q0299T00_FECENT = "fecha";
    
    
    
    
    
    protected Integer Q0299T00_VALIDACION_WHERE = null;
    
    
    
    
    
    
    /** Constante para la propiedad Q022HT00_ID_OFI */
    public final static int COLUMN_Q022HT00_ID_OFI = 1;
    /** Constante para la propiedad Q022HT00_ID_OFI */
    public final static String NOMCOLUMN_Q022HT00_ID_OFI = "Q022HT00_ID_OFI";
    /** Constante para la propiedad Q022HT00_ID_OFI */
    public final static int TAM_MAXIMO_Q022HT00_ID_OFI = 8;
    /** Constante para la propiedad Q022HT00_PROV */
    public final static int COLUMN_Q022HT00_PROV = 2;
    /** Constante para la propiedad Q022HT00_PROV */
    public final static String NOMCOLUMN_Q022HT00_PROV = "Q022HT00_PROV";
    /** Constante para la propiedad Q022HT00_PROV */
    public final static int TAM_MAXIMO_Q022HT00_PROV = 2;
    /** Constante para la propiedad Q022HT00_MUNI */
    public final static int COLUMN_Q022HT00_MUNI = 3;
    /** Constante para la propiedad Q022HT00_MUNI */
    public final static String NOMCOLUMN_Q022HT00_MUNI = "Q022HT00_MUNI";
    /** Constante para la propiedad Q022HT00_MUNI */
    public final static int TAM_MAXIMO_Q022HT00_MUNI = 3;
    /** Constante para la propiedad Q022HT00_DESC */
    public final static int COLUMN_Q022HT00_DESC = 4;
    /** Constante para la propiedad Q022HT00_DESC */
    public final static String NOMCOLUMN_Q022HT00_DESC = "Q022HT00_DESC";
    /** Constante para la propiedad Q022HT00_DESC */
    public final static int TAM_MAXIMO_Q022HT00_DESC = 50;
    /** Constante para la propiedad Q022HT00_DESC_EUS */
    public final static int COLUMN_Q022HT00_DESC_EUS = 5;
    /** Constante para la propiedad Q022HT00_DESC_EUS */
    public final static String NOMCOLUMN_Q022HT00_DESC_EUS = "Q022HT00_DESC_EUS";
    /** Constante para la propiedad Q022HT00_DESC_EUS */
    public final static int TAM_MAXIMO_Q022HT00_DESC_EUS = 50;
    /** Constante para la propiedad Q022HT00_TVIA */
    public final static int COLUMN_Q022HT00_TVIA = 6;
    /** Constante para la propiedad Q022HT00_TVIA */
    public final static String NOMCOLUMN_Q022HT00_TVIA = "Q022HT00_TVIA";
    /** Constante para la propiedad Q022HT00_TVIA */
    public final static int TAM_MAXIMO_Q022HT00_TVIA = 2;
    /** Constante para la propiedad Q022HT00_CALLE */
    public final static int COLUMN_Q022HT00_CALLE = 7;
    /** Constante para la propiedad Q022HT00_CALLE */
    public final static String NOMCOLUMN_Q022HT00_CALLE = "Q022HT00_CALLE";
    /** Constante para la propiedad Q022HT00_CALLE */
    public final static int TAM_MAXIMO_Q022HT00_CALLE = 15;
    /** Constante para la propiedad Q022HT00_BLOQ */
    public final static int COLUMN_Q022HT00_BLOQ = 8;
    /** Constante para la propiedad Q022HT00_BLOQ */
    public final static String NOMCOLUMN_Q022HT00_BLOQ = "Q022HT00_BLOQ";
    /** Constante para la propiedad Q022HT00_BLOQ */
    public final static int TAM_MAXIMO_Q022HT00_BLOQ = 3;
    /** Constante para la propiedad Q022HT00_NUME */
    public final static int COLUMN_Q022HT00_NUME = 9;
    /** Constante para la propiedad Q022HT00_NUME */
    public final static String NOMCOLUMN_Q022HT00_NUME = "Q022HT00_NUME";
    /** Constante para la propiedad Q022HT00_NUME */
    public final static int TAM_MAXIMO_Q022HT00_NUME = 4;
    /** Constante para la propiedad Q022HT00_BIS */
    public final static int COLUMN_Q022HT00_BIS = 10;
    /** Constante para la propiedad Q022HT00_BIS */
    public final static String NOMCOLUMN_Q022HT00_BIS = "Q022HT00_BIS";
    /** Constante para la propiedad Q022HT00_BIS */
    public final static int TAM_MAXIMO_Q022HT00_BIS = 1;
    /** Constante para la propiedad Q022HT00_ESCA */
    public final static int COLUMN_Q022HT00_ESCA = 11;
    /** Constante para la propiedad Q022HT00_ESCA */
    public final static String NOMCOLUMN_Q022HT00_ESCA = "Q022HT00_ESCA";
    /** Constante para la propiedad Q022HT00_ESCA */
    public final static int TAM_MAXIMO_Q022HT00_ESCA = 2;
    /** Constante para la propiedad Q022HT00_PISO */
    public final static int COLUMN_Q022HT00_PISO = 12;
    /** Constante para la propiedad Q022HT00_PISO */
    public final static String NOMCOLUMN_Q022HT00_PISO = "Q022HT00_PISO";
    /** Constante para la propiedad Q022HT00_PISO */
    public final static int TAM_MAXIMO_Q022HT00_PISO = 2;
    /** Constante para la propiedad Q022HT00_MANO */
    public final static int COLUMN_Q022HT00_MANO = 13;
    /** Constante para la propiedad Q022HT00_MANO */
    public final static String NOMCOLUMN_Q022HT00_MANO = "Q022HT00_MANO";
    /** Constante para la propiedad Q022HT00_MANO */
    public final static int TAM_MAXIMO_Q022HT00_MANO = 2;
    /** Constante para la propiedad Q022HT00_PUER */
    public final static int COLUMN_Q022HT00_PUER = 14;
    /** Constante para la propiedad Q022HT00_PUER */
    public final static String NOMCOLUMN_Q022HT00_PUER = "Q022HT00_PUER";
    /** Constante para la propiedad Q022HT00_PUER */
    public final static int TAM_MAXIMO_Q022HT00_PUER = 3;
    /** Constante para la propiedad Q022HT00_CODP */
    public final static int COLUMN_Q022HT00_CODP = 15;
    /** Constante para la propiedad Q022HT00_CODP */
    public final static String NOMCOLUMN_Q022HT00_CODP = "Q022HT00_CODP";
    /** Constante para la propiedad Q022HT00_CODP */
    public final static int TAM_MAXIMO_Q022HT00_CODP = 5;
    /** Constante para la propiedad Q022HT00_CDIR */
    public final static int COLUMN_Q022HT00_CDIR = 16;
    /** Constante para la propiedad Q022HT00_CDIR */
    public final static String NOMCOLUMN_Q022HT00_CDIR = "Q022HT00_CDIR";
    /** Constante para la propiedad Q022HT00_CDIR */
    public final static int TAM_MAXIMO_Q022HT00_CDIR = 50;
    /** Constante para la propiedad Q022HT00_DEPA */
    public final static int COLUMN_Q022HT00_DEPA = 17;
    /** Constante para la propiedad Q022HT00_DEPA */
    public final static String NOMCOLUMN_Q022HT00_DEPA = "Q022HT00_DEPA";
    /** Constante para la propiedad Q022HT00_DEPA */
    public final static int TAM_MAXIMO_Q022HT00_DEPA = 50;
    /** Constante para la propiedad Q022HT00_EMAILD */
    public final static int COLUMN_Q022HT00_EMAILD = 18;
    /** Constante para la propiedad Q022HT00_EMAILD */
    public final static String NOMCOLUMN_Q022HT00_EMAILD = "Q022HT00_EMAILD";
    /** Constante para la propiedad Q022HT00_EMAILD */
    public final static int TAM_MAXIMO_Q022HT00_EMAILD = 80;
    /** Constante para la propiedad Q022HT00_TELF1D */
    public final static int COLUMN_Q022HT00_TELF1D = 19;
    /** Constante para la propiedad Q022HT00_TELF1D */
    public final static String NOMCOLUMN_Q022HT00_TELF1D = "Q022HT00_TELF1D";
    /** Constante para la propiedad Q022HT00_TELF1D */
    public final static int TAM_MAXIMO_Q022HT00_TELF1D = 9;
    /** Constante para la propiedad Q022HT00_TELF2D */
    public final static int COLUMN_Q022HT00_TELF2D = 20;
    /** Constante para la propiedad Q022HT00_TELF2D */
    public final static String NOMCOLUMN_Q022HT00_TELF2D = "Q022HT00_TELF2D";
    /** Constante para la propiedad Q022HT00_TELF2D */
    public final static int TAM_MAXIMO_Q022HT00_TELF2D = 9;
    /** Constante para la propiedad Q022HT00_FAXD */
    public final static int COLUMN_Q022HT00_FAXD = 21;
    /** Constante para la propiedad Q022HT00_FAXD */
    public final static String NOMCOLUMN_Q022HT00_FAXD = "Q022HT00_FAXD";
    /** Constante para la propiedad Q022HT00_FAXD */
    public final static int TAM_MAXIMO_Q022HT00_FAXD = 9;
    /** Constante para la propiedad Q022HT00_WEB */
    public final static int COLUMN_Q022HT00_WEB = 22;
    /** Constante para la propiedad Q022HT00_WEB */
    public final static String NOMCOLUMN_Q022HT00_WEB = "Q022HT00_WEB";
    /** Constante para la propiedad Q022HT00_WEB */
    public final static int TAM_MAXIMO_Q022HT00_WEB = 80;
    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */
    public final static int COLUMN_NORA_T17_PROVINCIA_DS = 23;
    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */
    public final static String NOMCOLUMN_NORA_T17_PROVINCIA_DS = "NORA_T17_PROVINCIA_DS";
    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */
    public final static int TAM_MAXIMO_NORA_T17_PROVINCIA_DS = 50;
    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */
    public final static int COLUMN_NORA_T17_MUNICIPIO_DS = 24;
    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */
    public final static String NOMCOLUMN_NORA_T17_MUNICIPIO_DS = "NORA_T17_MUNICIPIO_DS";
    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */
    public final static int TAM_MAXIMO_NORA_T17_MUNICIPIO_DS = 50;
    /** Constante para la propiedad NORA_T17_LOCALIZACION */
    public final static int COLUMN_NORA_T17_LOCALIZACION = 25;
    /** Constante para la propiedad NORA_T17_LOCALIZACION */
    public final static String NOMCOLUMN_NORA_T17_LOCALIZACION = "NORA_T17_LOCALIZACION";
    /** Constante para la propiedad NORA_T17_LOCALIZACION */
    public final static int TAM_MAXIMO_NORA_T17_LOCALIZACION = 100;
    /** Constante para la propiedad NUMCOLUMNAS */
    public final static int COLUMN_NUMCOLUMNAS = 25;
    protected StringBuffer queryLog = new StringBuffer();
    /** Holds value of property Q022HT00_ID_OFI_WHERE */
    protected Integer Q022HT00_ID_OFI_WHERE = null;
    protected boolean Q022HT00_ID_OFI_MODIF = false;
    /** Holds value of property Q022HT00_PROV_WHERE */
    protected String Q022HT00_PROV_WHERE = null;
    protected boolean Q022HT00_PROV_MODIF = false;
    /** Holds value of property Q022HT00_MUNI_WHERE */
    protected String Q022HT00_MUNI_WHERE = null;
    protected boolean Q022HT00_MUNI_MODIF = false;
    /** Holds value of property Q022HT00_DESC_WHERE */
    protected String Q022HT00_DESC_WHERE = null;
    protected boolean Q022HT00_DESC_MODIF = false;
    /** Holds value of property Q022HT00_DESC_EUS_WHERE */
    protected String Q022HT00_DESC_EUS_WHERE = null;
    protected boolean Q022HT00_DESC_EUS_MODIF = false;
    /** Holds value of property Q022HT00_TVIA_WHERE */
    protected String Q022HT00_TVIA_WHERE = null;
    protected boolean Q022HT00_TVIA_MODIF = false;
    /** Holds value of property Q022HT00_CALLE_WHERE */
    protected Long Q022HT00_CALLE_WHERE = null;
    protected boolean Q022HT00_CALLE_MODIF = false;
    /** Holds value of property Q022HT00_BLOQ_WHERE */
    protected String Q022HT00_BLOQ_WHERE = null;
    protected boolean Q022HT00_BLOQ_MODIF = false;
    /** Holds value of property Q022HT00_NUME_WHERE */
    protected Integer Q022HT00_NUME_WHERE = null;
    protected boolean Q022HT00_NUME_MODIF = false;
    /** Holds value of property Q022HT00_BIS_WHERE */
    protected String Q022HT00_BIS_WHERE = null;
    protected boolean Q022HT00_BIS_MODIF = false;
    /** Holds value of property Q022HT00_ESCA_WHERE */
    protected String Q022HT00_ESCA_WHERE = null;
    protected boolean Q022HT00_ESCA_MODIF = false;
    /** Holds value of property Q022HT00_PISO_WHERE */
    protected String Q022HT00_PISO_WHERE = null;
    protected boolean Q022HT00_PISO_MODIF = false;
    /** Holds value of property Q022HT00_MANO_WHERE */
    protected String Q022HT00_MANO_WHERE = null;
    protected boolean Q022HT00_MANO_MODIF = false;
    /** Holds value of property Q022HT00_PUER_WHERE */
    protected String Q022HT00_PUER_WHERE = null;
    protected boolean Q022HT00_PUER_MODIF = false;
    /** Holds value of property Q022HT00_CODP_WHERE */
    protected String Q022HT00_CODP_WHERE = null;
    protected boolean Q022HT00_CODP_MODIF = false;
    /** Holds value of property Q022HT00_CDIR_WHERE */
    protected String Q022HT00_CDIR_WHERE = null;
    protected boolean Q022HT00_CDIR_MODIF = false;
    /** Holds value of property Q022HT00_DEPA_WHERE */
    protected String Q022HT00_DEPA_WHERE = null;
    protected boolean Q022HT00_DEPA_MODIF = false;
    /** Holds value of property Q022HT00_EMAILD_WHERE */
    protected String Q022HT00_EMAILD_WHERE = null;
    protected boolean Q022HT00_EMAILD_MODIF = false;
    /** Holds value of property Q022HT00_TELF1D_WHERE */
    protected Integer Q022HT00_TELF1D_WHERE = null;
    protected boolean Q022HT00_TELF1D_MODIF = false;
    /** Holds value of property Q022HT00_TELF2D_WHERE */
    protected Integer Q022HT00_TELF2D_WHERE = null;
    protected boolean Q022HT00_TELF2D_MODIF = false;
    /** Holds value of property Q022HT00_FAXD_WHERE */
    protected Integer Q022HT00_FAXD_WHERE = null;
    protected boolean Q022HT00_FAXD_MODIF = false;
    /** Holds value of property Q022HT00_WEB_WHERE */
    protected String Q022HT00_WEB_WHERE = null;
    protected boolean Q022HT00_WEB_MODIF = false;
    /** Holds value of property NORA_T17_PROVINCIA_DS_WHERE */
    protected String NORA_T17_PROVINCIA_DS_WHERE = null;
    protected boolean NORA_T17_PROVINCIA_DS_MODIF = false;
    /** Holds value of property NORA_T17_MUNICIPIO_DS_WHERE */
    protected String NORA_T17_MUNICIPIO_DS_WHERE = null;
    protected boolean NORA_T17_MUNICIPIO_DS_MODIF = false;
    /** Holds value of property NORA_T17_LOCALIZACION_WHERE */
    protected String NORA_T17_LOCALIZACION_WHERE = null;
    protected boolean NORA_T17_LOCALIZACION_MODIF = false;
    /** Holds value of property numMaxRegistros. */
    protected int  numMaxRegistros = 0;
    /** Holds value of property numInicio. */
    protected int  numInicio = 0;
    /** Holds value of property numFinal. */
    protected int  numFinal = 0;
    /** Holds value of property orderBy. */
    protected String  orderBy = null;
    /** Holds value of property limitRows. */
    protected boolean  limitRows = false;
    /** Holds value of property aditionalWhere. */
    protected String  aditionalWhere = null;
    /** Holds value of property initialWhere. */
    protected String  initialWhere = null;
    /** Holds value of property fixedWhere. */
    protected String  fixedWhere = null;
    /** Holds value of property distinct. */
    protected String  distinct = null;
    /** Holds value of property groupBy. */
    protected String  groupBy = null;
    /** Holds value of property max. */
    protected String  max = null;
    /** Holds value of property fechaClase. */
    protected static String sFechaClase = "06/04/09 04:21:29";
    protected String columnas[] =  {"Q022HT00_ID_OFI", "Q022HT00_PROV", "Q022HT00_MUNI", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "Q022HT00_TVIA", "Q022HT00_CALLE", "Q022HT00_BLOQ", "Q022HT00_NUME", "Q022HT00_BIS", "Q022HT00_ESCA", "Q022HT00_PISO", "Q022HT00_MANO", "Q022HT00_PUER", "Q022HT00_CODP", "Q022HT00_CDIR", "Q022HT00_DEPA", "Q022HT00_EMAILD", "Q022HT00_TELF1D", "Q022HT00_TELF2D", "Q022HT00_FAXD", "Q022HT00_WEB", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "NORA_T17_LOCALIZACION"};
    protected int tipos[] =  {3, 12, 12, 12, 12, 12, 3, 12, 3, 12, 12, 12, 12, 12, 12, 12, 12, 12, 3, 3, 3, 12, 12, 12, 12};
    protected int longitudes[] =  {8, 2, 3, 50, 50, 2, 15, 3, 4, 1, 2, 2, 2, 3, 5, 50, 50, 80, 9, 9, 9, 80, 50, 50, 100};
    protected ArrayList columnasSelect = new ArrayList();
    protected StringBuffer sbColumnasSelect = new StringBuffer();
    protected ArrayList alias = new ArrayList();
    protected String columnasPK[] =  {"Q022HT00_ID_OFI", "Q022HT00_PROV", "Q022HT00_MUNI", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "Q022HT00_TVIA", "Q022HT00_CALLE", "Q022HT00_BLOQ", "Q022HT00_NUME", "Q022HT00_BIS", "Q022HT00_ESCA", "Q022HT00_PISO", "Q022HT00_MANO", "Q022HT00_PUER", "Q022HT00_CODP", "Q022HT00_CDIR", "Q022HT00_DEPA", "Q022HT00_EMAILD", "Q022HT00_TELF1D", "Q022HT00_TELF2D", "Q022HT00_FAXD", "Q022HT00_WEB", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "NORA_T17_LOCALIZACION"};
    protected boolean nullables[] =  {false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true};

    protected Class arrClases[]={java.sql.Connection.class};
    protected Object arrObjetos[]={connection};
    protected String tableFrom="Q0299S00";
    protected int regModif=0;
    protected boolean uncommittedRead=false;
    protected boolean forUpdate=false;
    protected Q02bITablaBDQ022HS01V01 iTablaBDQ022HS01V01 = null;
    
    protected Q02bITablaBDQ0299S00 iTablaBDQ0299S00 = null;
    /** Creates new Q022HV01 */
    public Q02bTablaBDQ0299S00() {
        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));
    }

    /** Creates new Q022HS01V01 */
    public Q02bTablaBDQ0299S00(Connection con) {
        connection=con;
        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));
    }

    /** Method reset */
    public void reset() {
        iTablaBDQ022HS01V01.setQ022HT00_ID_OFI_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_ID_OFI_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_PROV_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_PROV_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_MUNI_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_MUNI_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_DESC_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_DESC_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_DESC_EUS_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_DESC_EUS_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_TVIA_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_TVIA_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_CALLE_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_CALLE_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_BLOQ_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_BLOQ_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_NUME_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_NUME_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_BIS_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_BIS_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_ESCA_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_ESCA_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_PISO_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_PISO_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_MANO_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_MANO_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_PUER_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_PUER_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_CODP_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_CODP_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_CDIR_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_CDIR_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_DEPA_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_DEPA_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_EMAILD_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_EMAILD_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_TELF1D_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_TELF1D_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_TELF2D_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_TELF2D_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_FAXD_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_FAXD_MODIF(false);
        iTablaBDQ022HS01V01.setQ022HT00_WEB_WHERE(null);
        iTablaBDQ022HS01V01.setQ022HT00_WEB_MODIF(false);
        iTablaBDQ022HS01V01.setNORA_T17_PROVINCIA_DS_WHERE(null);
        iTablaBDQ022HS01V01.setNORA_T17_PROVINCIA_DS_MODIF(false);
        iTablaBDQ022HS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(null);
        iTablaBDQ022HS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(false);
        iTablaBDQ022HS01V01.setNORA_T17_LOCALIZACION_WHERE(null);
        iTablaBDQ022HS01V01.setNORA_T17_LOCALIZACION_MODIF(false);
        iTablaBDQ022HS01V01.setNumMaxRegistros(0);
        iTablaBDQ022HS01V01.setNumInicio(0);
        iTablaBDQ022HS01V01.setNumFinal(0);
        iTablaBDQ022HS01V01.setOrderBy(null);
        iTablaBDQ022HS01V01.setAditionalWhere(null);
        iTablaBDQ022HS01V01.setInitialWhere(null);
        iTablaBDQ022HS01V01.setFixedWhere(null);
        iTablaBDQ022HS01V01.setDistinct(null);
        iTablaBDQ022HS01V01.setMax(null);
        columnasSelect = null;
        tableFrom = "Q022HS01V01";
        iTablaBDQ022HS01V01.setUncommittedRead(false);
        iTablaBDQ022HS01V01.setForUpdate(false);
        iTablaBDQ022HS01V01.setGroupBy(null);
    }

    /** Method addColumnSelect(nombreColumna) 
    * @param nombreColumna New value of property columnasSelect.
    * Este método añade una nueva columna a mostrar en el resultado de la select
    * Añadir las columnas usando las constantes de la tabla
    */
    public void addColumnSelect(String nombreColumna) {
        iTablaBDQ022HS01V01.addColumnSelect(nombreColumna);
    }

    /** Method clearColumnsSelect() 
    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select
    */
    public void clearColumnsSelect() {
        iTablaBDQ022HS01V01.clearColumnsSelect();
    }

    /** Method setColumnsSelect(listaColumnas) 
    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select
    */
    public void setColumnsSelect(String listaColumnas) {
        iTablaBDQ022HS01V01.setColumnsSelect(listaColumnas);
    }

    /** Method setTableFrom(listaTablas) 
    * @param listaTablas New value of property tableFrom.
    * Este método añade la lista de tablas pasadas por parametro a la from .
    * Cada tabla de la lista debe ir separada por comas
    */
    public void setTableFrom(String listaTablas) {
        iTablaBDQ022HS01V01.setTableFrom(listaTablas);
    }

    /** Method getTableFrom() 
    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la
    * from separadas por comas.
    */
    public String getTableFrom() {
        return iTablaBDQ022HS01V01.getTableFrom();
    }

    /** Method getRegModif() 
    * Este método devuelve un int con el nº de regs modificados
    */
    public int getRegModif() {
        return iTablaBDQ022HS01V01.getRegModif();
    }

    /** Method setUncommittedRead() 
    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true
    */
    public void setUncommittedRead(boolean ur) {
        iTablaBDQ022HS01V01.setUncommittedRead(ur);
    }

    /** Method getUncommittedRead() 
    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead
    */
    public boolean getUncommittedRead() {
        return iTablaBDQ022HS01V01.getUncommittedRead();
    }

    /** Method setForUpdate() 
    * Este método permite añadir la clausula FOR UPDATE si se establece a true
    */
    public void setForUpdate(boolean fu) {
        iTablaBDQ022HS01V01.setForUpdate(fu);
    }

    /** Method getForUpdate() 
    * Este método devuelve el valor de forUpdate
    */
    public boolean getForUpdate() {
        return iTablaBDQ022HS01V01.getForUpdate();
    }

    /** Method setGroupBy(listaColumnas) 
    * @param listaColumnas New value of property groupBy.
    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .
    * Cada columna de la lista debe ir separada por comas
    */
    public void setGroupBy(String listaColumnas) {
             iTablaBDQ022HS01V01.setGroupBy(listaColumnas);
    }

    /** Method getGroupBy() 
    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la
    * groupBy separadas por comas.
    */
    public String getGroupBy() {
        return iTablaBDQ022HS01V01.getGroupBy();
    }

    /** Method getColumnsSelect() 
    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la
    * select separadas por comas.
    */
    public String getColumnsSelect() {
        return iTablaBDQ022HS01V01.getColumnsSelect();
    }

    /** Method select(where) 
    * @param where New value of property WHERE.
    * @return Value of the resultSet.
    */
    public ResultSet select(String where)throws SQLException,Q02bDAOException  {
        return iTablaBDQ022HS01V01.select(where);
    }

    /** Method selectCount(where) 
    * @param where New value of property WHERE.
    * @return Value of the resultSet.
    */
    public ResultSet selectCount(String where)throws SQLException  {
        return iTablaBDQ022HS01V01.selectCount(where);
    }

    /** Method selectDistinct(where) 
    * @param where New value of property WHERE.
    * @return Value of the resultSet.
    */
    public ResultSet selectDistinct(String where)throws SQLException  {
        return iTablaBDQ022HS01V01.selectDistinct(where);
    }

    /** Method selectMax(where) 
    * @param where New value of property WHERE.
    * @return Value of the resultSet.
    */
    public ResultSet selectMax(String where)throws SQLException  {
        return iTablaBDQ022HS01V01.selectMax(where);
    }

    /** Method select() 
    * @return Value of the resultSet.
    */
    public ResultSet select()throws SQLException,Q02bDAOException  {
        return iTablaBDQ0299S00.select();
    }

    /** Method selectCount() 
    * @return Value of the resultSet.
    */
    public ResultSet selectCount()throws SQLException  {
        return iTablaBDQ022HS01V01.selectCount();
    }

    /** Method selectDistinct() 
    * @return Value of the resultSet.
    */
    public ResultSet selectDistinct()throws SQLException  {
        return iTablaBDQ022HS01V01.selectDistinct();
    }

    /** Method selectMax() 
    * @return Value of the resultSet.
    */
    public ResultSet selectMax()throws SQLException  {
        return iTablaBDQ022HS01V01.selectMax();
    }






    public void setQ022HT00_ID_OFI_WHERE(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_ID_OFI_WHERE=new Integer(valor);
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_ID_OFI_WHERE(valor);
        }
    }

    public void setQ022HT00_ID_OFI_WHERE(Integer valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_ID_OFI_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_ID_OFI_WHERE(valor);
        }
    }

    public void setQ022HT00_ID_OFI_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_ID_OFI_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_ID_OFI_MODIF(valor);
        }
    }

    public void setQ022HT00_PROV_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_PROV_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_PROV_WHERE(valor);
        }
    }

    public void setQ022HT00_PROV_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_PROV_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_PROV_MODIF(valor);
        }
    }

    public void setQ022HT00_MUNI_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_MUNI_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_MUNI_WHERE(valor);
        }
    }

    public void setQ022HT00_MUNI_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_MUNI_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_MUNI_MODIF(valor);
        }
    }

    public void setQ022HT00_DESC_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_DESC_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_DESC_WHERE(valor);
        }
    }

    public void setQ022HT00_DESC_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_DESC_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_DESC_MODIF(valor);
        }
    }

    public void setQ022HT00_DESC_EUS_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_DESC_EUS_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_DESC_EUS_WHERE(valor);
        }
    }

    public void setQ022HT00_DESC_EUS_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_DESC_EUS_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_DESC_EUS_MODIF(valor);
        }
    }

    public void setQ022HT00_TVIA_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TVIA_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TVIA_WHERE(valor);
        }
    }

    public void setQ022HT00_TVIA_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TVIA_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TVIA_MODIF(valor);
        }
    }

    public void setQ022HT00_CALLE_WHERE(long valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_CALLE_WHERE=new Long(valor);
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_CALLE_WHERE(valor);
        }
    }

    public void setQ022HT00_CALLE_WHERE(Long valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_CALLE_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_CALLE_WHERE(valor);
        }
    }

    public void setQ022HT00_CALLE_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_CALLE_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_CALLE_MODIF(valor);
        }
    }

    public void setQ022HT00_BLOQ_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_BLOQ_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_BLOQ_WHERE(valor);
        }
    }

    public void setQ022HT00_BLOQ_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_BLOQ_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_BLOQ_MODIF(valor);
        }
    }

    public void setQ022HT00_NUME_WHERE(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_NUME_WHERE=new Integer(valor);
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_NUME_WHERE(valor);
        }
    }

    public void setQ022HT00_NUME_WHERE(Integer valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_NUME_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_NUME_WHERE(valor);
        }
    }

    public void setQ022HT00_NUME_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_NUME_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_NUME_MODIF(valor);
        }
    }

    public void setQ022HT00_BIS_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_BIS_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_BIS_WHERE(valor);
        }
    }

    public void setQ022HT00_BIS_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_BIS_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_BIS_MODIF(valor);
        }
    }

    public void setQ022HT00_ESCA_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_ESCA_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_ESCA_WHERE(valor);
        }
    }

    public void setQ022HT00_ESCA_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_ESCA_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_ESCA_MODIF(valor);
        }
    }

    public void setQ022HT00_PISO_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_PISO_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_PISO_WHERE(valor);
        }
    }

    public void setQ022HT00_PISO_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_PISO_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_PISO_MODIF(valor);
        }
    }

    public void setQ022HT00_MANO_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_MANO_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_MANO_WHERE(valor);
        }
    }

    public void setQ022HT00_MANO_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_MANO_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_MANO_MODIF(valor);
        }
    }

    public void setQ022HT00_PUER_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_PUER_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_PUER_WHERE(valor);
        }
    }

    public void setQ022HT00_PUER_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_PUER_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_PUER_MODIF(valor);
        }
    }

    public void setQ022HT00_CODP_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_CODP_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_CODP_WHERE(valor);
        }
    }

    public void setQ022HT00_CODP_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_CODP_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_CODP_MODIF(valor);
        }
    }

    public void setQ022HT00_CDIR_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_CDIR_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_CDIR_WHERE(valor);
        }
    }

    public void setQ022HT00_CDIR_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_CDIR_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_CDIR_MODIF(valor);
        }
    }

    public void setQ022HT00_DEPA_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_DEPA_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_DEPA_WHERE(valor);
        }
    }

    public void setQ022HT00_DEPA_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_DEPA_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_DEPA_MODIF(valor);
        }
    }

    public void setQ022HT00_EMAILD_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_EMAILD_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_EMAILD_WHERE(valor);
        }
    }

    public void setQ022HT00_EMAILD_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_EMAILD_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_EMAILD_MODIF(valor);
        }
    }

    public void setQ022HT00_TELF1D_WHERE(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TELF1D_WHERE=new Integer(valor);
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TELF1D_WHERE(valor);
        }
    }

    public void setQ022HT00_TELF1D_WHERE(Integer valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TELF1D_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TELF1D_WHERE(valor);
        }
    }

    public void setQ022HT00_TELF1D_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TELF1D_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TELF1D_MODIF(valor);
        }
    }

    public void setQ022HT00_TELF2D_WHERE(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TELF2D_WHERE=new Integer(valor);
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TELF2D_WHERE(valor);
        }
    }

    public void setQ022HT00_TELF2D_WHERE(Integer valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TELF2D_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TELF2D_WHERE(valor);
        }
    }

    public void setQ022HT00_TELF2D_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_TELF2D_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_TELF2D_MODIF(valor);
        }
    }

    public void setQ022HT00_FAXD_WHERE(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_FAXD_WHERE=new Integer(valor);
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_FAXD_WHERE(valor);
        }
    }

    public void setQ022HT00_FAXD_WHERE(Integer valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_FAXD_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_FAXD_WHERE(valor);
        }
    }

    public void setQ022HT00_FAXD_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_FAXD_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_FAXD_MODIF(valor);
        }
    }

    public void setQ022HT00_WEB_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_WEB_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_WEB_WHERE(valor);
        }
    }

    public void setQ022HT00_WEB_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.Q022HT00_WEB_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setQ022HT00_WEB_MODIF(valor);
        }
    }

    public void setNORA_T17_PROVINCIA_DS_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.NORA_T17_PROVINCIA_DS_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setNORA_T17_PROVINCIA_DS_WHERE(valor);
        }
    }

    public void setNORA_T17_PROVINCIA_DS_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.NORA_T17_PROVINCIA_DS_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setNORA_T17_PROVINCIA_DS_MODIF(valor);
        }
    }

    public void setNORA_T17_MUNICIPIO_DS_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.NORA_T17_MUNICIPIO_DS_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(valor);
        }
    }

    public void setNORA_T17_MUNICIPIO_DS_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.NORA_T17_MUNICIPIO_DS_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(valor);
        }
    }

    public void setNORA_T17_LOCALIZACION_WHERE(String valor) {
        if (iTablaBDQ022HS01V01==null){
        this.NORA_T17_LOCALIZACION_WHERE=valor;
        }else{
           iTablaBDQ022HS01V01.setNORA_T17_LOCALIZACION_WHERE(valor);
        }
    }

    public void setNORA_T17_LOCALIZACION_MODIF(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.NORA_T17_LOCALIZACION_MODIF=valor;
        }else{
           iTablaBDQ022HS01V01.setNORA_T17_LOCALIZACION_MODIF(valor);
        }
    }

    /** Getter for property Q022HT00_ID_OFI_WHERE.
    * @return Value of property Q022HT00_ID_OFI_WHERE.
    */
    public Integer getQ022HT00_ID_OFI_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_ID_OFI_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_ID_OFI_WHERE();
        }
    }

    /** Getter for property Q022HT00_PROV_WHERE.
    * @return Value of property Q022HT00_PROV_WHERE.
    */
    public String getQ022HT00_PROV_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_PROV_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_PROV_WHERE();
        }
    }

    /** Getter for property Q022HT00_MUNI_WHERE.
    * @return Value of property Q022HT00_MUNI_WHERE.
    */
    public String getQ022HT00_MUNI_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_MUNI_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_MUNI_WHERE();
        }
    }

    /** Getter for property Q022HT00_DESC_WHERE.
    * @return Value of property Q022HT00_DESC_WHERE.
    */
    public String getQ022HT00_DESC_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_DESC_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_DESC_WHERE();
        }
    }

    /** Getter for property Q022HT00_DESC_EUS_WHERE.
    * @return Value of property Q022HT00_DESC_EUS_WHERE.
    */
    public String getQ022HT00_DESC_EUS_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_DESC_EUS_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_DESC_EUS_WHERE();
        }
    }

    /** Getter for property Q022HT00_TVIA_WHERE.
    * @return Value of property Q022HT00_TVIA_WHERE.
    */
    public String getQ022HT00_TVIA_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_TVIA_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_TVIA_WHERE();
        }
    }

    /** Getter for property Q022HT00_CALLE_WHERE.
    * @return Value of property Q022HT00_CALLE_WHERE.
    */
    public Long getQ022HT00_CALLE_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_CALLE_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_CALLE_WHERE();
        }
    }

    /** Getter for property Q022HT00_BLOQ_WHERE.
    * @return Value of property Q022HT00_BLOQ_WHERE.
    */
    public String getQ022HT00_BLOQ_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_BLOQ_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_BLOQ_WHERE();
        }
    }

    /** Getter for property Q022HT00_NUME_WHERE.
    * @return Value of property Q022HT00_NUME_WHERE.
    */
    public Integer getQ022HT00_NUME_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_NUME_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_NUME_WHERE();
        }
    }

    /** Getter for property Q022HT00_BIS_WHERE.
    * @return Value of property Q022HT00_BIS_WHERE.
    */
    public String getQ022HT00_BIS_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_BIS_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_BIS_WHERE();
        }
    }

    /** Getter for property Q022HT00_ESCA_WHERE.
    * @return Value of property Q022HT00_ESCA_WHERE.
    */
    public String getQ022HT00_ESCA_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_ESCA_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_ESCA_WHERE();
        }
    }

    /** Getter for property Q022HT00_PISO_WHERE.
    * @return Value of property Q022HT00_PISO_WHERE.
    */
    public String getQ022HT00_PISO_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_PISO_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_PISO_WHERE();
        }
    }

    /** Getter for property Q022HT00_MANO_WHERE.
    * @return Value of property Q022HT00_MANO_WHERE.
    */
    public String getQ022HT00_MANO_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_MANO_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_MANO_WHERE();
        }
    }

    /** Getter for property Q022HT00_PUER_WHERE.
    * @return Value of property Q022HT00_PUER_WHERE.
    */
    public String getQ022HT00_PUER_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_PUER_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_PUER_WHERE();
        }
    }

    /** Getter for property Q022HT00_CODP_WHERE.
    * @return Value of property Q022HT00_CODP_WHERE.
    */
    public String getQ022HT00_CODP_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_CODP_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_CODP_WHERE();
        }
    }

    /** Getter for property Q022HT00_CDIR_WHERE.
    * @return Value of property Q022HT00_CDIR_WHERE.
    */
    public String getQ022HT00_CDIR_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_CDIR_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_CDIR_WHERE();
        }
    }

    /** Getter for property Q022HT00_DEPA_WHERE.
    * @return Value of property Q022HT00_DEPA_WHERE.
    */
    public String getQ022HT00_DEPA_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_DEPA_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_DEPA_WHERE();
        }
    }

    /** Getter for property Q022HT00_EMAILD_WHERE.
    * @return Value of property Q022HT00_EMAILD_WHERE.
    */
    public String getQ022HT00_EMAILD_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_EMAILD_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_EMAILD_WHERE();
        }
    }

    /** Getter for property Q022HT00_TELF1D_WHERE.
    * @return Value of property Q022HT00_TELF1D_WHERE.
    */
    public Integer getQ022HT00_TELF1D_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_TELF1D_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_TELF1D_WHERE();
        }
    }

    /** Getter for property Q022HT00_TELF2D_WHERE.
    * @return Value of property Q022HT00_TELF2D_WHERE.
    */
    public Integer getQ022HT00_TELF2D_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_TELF2D_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_TELF2D_WHERE();
        }
    }

    /** Getter for property Q022HT00_FAXD_WHERE.
    * @return Value of property Q022HT00_FAXD_WHERE.
    */
    public Integer getQ022HT00_FAXD_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_FAXD_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_FAXD_WHERE();
        }
    }

    /** Getter for property Q022HT00_WEB_WHERE.
    * @return Value of property Q022HT00_WEB_WHERE.
    */
    public String getQ022HT00_WEB_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.Q022HT00_WEB_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getQ022HT00_WEB_WHERE();
        }
    }

    /** Getter for property NORA_T17_PROVINCIA_DS_WHERE.
    * @return Value of property NORA_T17_PROVINCIA_DS_WHERE.
    */
    public String getNORA_T17_PROVINCIA_DS_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.NORA_T17_PROVINCIA_DS_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getNORA_T17_PROVINCIA_DS_WHERE();
        }
    }

    /** Getter for property NORA_T17_MUNICIPIO_DS_WHERE.
    * @return Value of property NORA_T17_MUNICIPIO_DS_WHERE.
    */
    public String getNORA_T17_MUNICIPIO_DS_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.NORA_T17_MUNICIPIO_DS_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getNORA_T17_MUNICIPIO_DS_WHERE();
        }
    }

    /** Getter for property NORA_T17_LOCALIZACION_WHERE.
    * @return Value of property NORA_T17_LOCALIZACION_WHERE.
    */
    public String getNORA_T17_LOCALIZACION_WHERE() {
        if (iTablaBDQ022HS01V01==null){
            return this.NORA_T17_LOCALIZACION_WHERE;
        }else{
           return iTablaBDQ022HS01V01.getNORA_T17_LOCALIZACION_WHERE();
        }
    }

    /** Setter for property idConexion.
    * @param valor New value of property idConexion.
    */
    public void setIdConexion(String valor) {
        if (iTablaBDQ022HS01V01==null){
           this.idConexion = valor;
        }else{
           iTablaBDQ022HS01V01.setIdConexion(valor);
        }
    }

    /** Getter for property fechaClase.
    * @return Value of property fechaClase.
    */
    public String getFechaClase() {
        if (iTablaBDQ022HS01V01==null){
           return sFechaClase;
        }else{
           return iTablaBDQ022HS01V01.getFechaClase();
        }
    }

    /** Getter for property idConexion.
    * @return Value of property idConexion.
    */
    public String getIdConexion() {
        if (iTablaBDQ022HS01V01==null){
           return this.idConexion;
        }else{
           return iTablaBDQ022HS01V01.getIdConexion();
        }
    }

    /** Getter for property queryLog.
    * @return Value of property queryLog.
    * variable donde se guarda la ultima sentencia ejecutada
    */
    public String getQueryLog() {
        if (iTablaBDQ022HS01V01==null){
           return this.queryLog.toString();
        }else{
           return iTablaBDQ022HS01V01.getQueryLog();
        }
    }

    /** Setter for property numInicio.
    * @param valor New value of property numInicio.
    */
    public void setNumInicio(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.numInicio = valor;
        }else{
           iTablaBDQ022HS01V01.setNumInicio(valor);
        }
    }

    /** Getter for property numInicio.
    * @return Value of property numInicio.
    */
    public int getNumInicio() {
        if (iTablaBDQ022HS01V01==null){
           return this.numInicio;
        }else{
           return iTablaBDQ022HS01V01.getNumInicio();
        }
    }

    /** Setter for property numFinal.
    * @param valor New value of property numFinal.
    */
    public void setNumFinal(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.numFinal = valor;
        }else{
           iTablaBDQ022HS01V01.setNumFinal(valor);
        }
    }

    /** Getter for property numFinal.
    * @return Value of property numFinal.
    */
    public int getNumFinal() {
        if (iTablaBDQ022HS01V01==null){
           return this.numFinal;
        }else{
           return iTablaBDQ022HS01V01.getNumFinal();
        }
    }

    /** Setter for property numMaxRegistros.
    * @param valor New value of property numMaxRegistros.
    */
    public void setNumMaxRegistros(int valor) {
        if (iTablaBDQ022HS01V01==null){
        this.numMaxRegistros = valor;
        }else{
           iTablaBDQ022HS01V01.setNumMaxRegistros(valor);
        }
    }

    /** Getter for property numMaxRegistros.
    * @return Value of property numMaxRegistros.
    */
    public int getNumMaxRegistros() {
        if (iTablaBDQ022HS01V01==null){
           return this.numMaxRegistros;
        }else{
           return iTablaBDQ022HS01V01.getNumMaxRegistros();
        }
    }

    /** Setter for property limitRows.
    * @param valor New value of property limitRows.
    */
    public void setLimitRows(boolean valor) {
        if (iTablaBDQ022HS01V01==null){
        this.limitRows = valor;
        }else{
           iTablaBDQ022HS01V01.setLimitRows(valor);
        }
    }

    /** Getter for property limitRows.
    * @return Value of property limitRows.
    */
    public boolean getLimitRows() {
        if (iTablaBDQ022HS01V01==null){
           return this.limitRows;
        }else{
           return iTablaBDQ022HS01V01.getLimitRows();
        }
    }

    /** Getter for property connection.
    * @return Value of property connection.
    */
    public Connection getConn() {
        if (iTablaBDQ022HS01V01==null){
           return this.connection;
        }else{
           return iTablaBDQ022HS01V01.getConn();
        }
    }

    /** Setter for property orderBy.
    * @param valor New value of property orderBy.
    */
    public void setOrderBy(String valor) {
        if (iTablaBDQ022HS01V01==null){
           this.orderBy = valor;
        }else{
           iTablaBDQ022HS01V01.setOrderBy(valor);
        }
    }

    /** Getter for property orderBy.
    * @return Value of property orderBy.
    */
    public String getOrderBy() {
        if (iTablaBDQ022HS01V01==null){
           return this.orderBy;
        }else{
           return iTablaBDQ022HS01V01.getOrderBy();
        }
    }

    /** Setter for property aditionalWhere.
    * @param valor New value of property aditionalWhere.
    */
    public void setAditionalWhere(String valor) {
        if (iTablaBDQ022HS01V01==null){
           this.aditionalWhere = valor;
        }else{
           iTablaBDQ022HS01V01.setAditionalWhere(valor);
        }
    }

    /** Getter for property aditionalWhere.
    * @return Value of property aditionalWhere.
    */
    public String getAditionalWhere() {
        if (iTablaBDQ022HS01V01==null){
           return this.aditionalWhere;
        }else{
           return iTablaBDQ022HS01V01.getAditionalWhere();
        }
    }

    /** Getter for property initialWhere.
    * @return Value of property initialWhere.
    */
    public String getInitialWhere() {
        if (iTablaBDQ022HS01V01==null){
           return this.initialWhere;
        }else{
           return iTablaBDQ022HS01V01.getInitialWhere();
        }
    }

    /** Setter for property initialWhere.
    * @param valor New value of property initialWhere.
    */
    public void setInitialWhere(String valor) {
        if (iTablaBDQ022HS01V01==null){
           this.initialWhere = valor;
        }else{
           iTablaBDQ022HS01V01.setInitialWhere(valor);
        }
    }

    /** Getter for property fixedWhere.
    * @return Value of property fixedWhere.
    */
    public String getFixedWhere() {
        if (iTablaBDQ022HS01V01==null){
           return this.fixedWhere;
        }else{
           return iTablaBDQ022HS01V01.getFixedWhere();
        }
    }

    /** Setter for property fixedWhere.
    * @param valor New value of property fixedWhere.
    */
    public void setFixedWhere(String valor) {
        if (iTablaBDQ022HS01V01==null){
           this.fixedWhere = valor;
        }else{
           iTablaBDQ022HS01V01.setFixedWhere(valor);
        }
    }

    /** Setter for property distinct.
    * @param valor New value of property distinct.
    */
    public void setDistinct(String valor) {
        if (iTablaBDQ022HS01V01==null){
           this.distinct = valor;
        }else{
           iTablaBDQ022HS01V01.setDistinct(valor);
        }
    }

    /** Getter for property distinct.
    * @return Value of property distinct.
    */
    public String getDistinct() {
        if (iTablaBDQ022HS01V01==null){
           return this.distinct;
        }else{
           return iTablaBDQ022HS01V01.getDistinct();
        }
    }

    /** Setter for property max.
    * @param valor New value of property max.
    */
    public void setMax(String valor) {
        if (iTablaBDQ022HS01V01==null){
           this.max = valor;
        }else{
           iTablaBDQ022HS01V01.setMax(valor);
        }
    }

    /** Getter for property max.
    * @return Value of property max.
    */
    public String getMax() {
        if (iTablaBDQ022HS01V01==null){
           return this.max;
        }else{
           return iTablaBDQ022HS01V01.getMax();
        }
    }

    /** Method freeResources.
    * @return void.
    */
    public void freeResources() {
        if (iTablaBDQ022HS01V01==null){
           super.freeResources();
        }else{
           iTablaBDQ022HS01V01.freeResources();
        }
    }

    /** Method freeResourcesNotConnection.
    * @return void.
    */
    public void freeResourcesNotConnection() {
        if (iTablaBDQ022HS01V01==null){
           super.freeResourcesNotConnection();
        }else{
           iTablaBDQ022HS01V01.freeResourcesNotConnection();
        }
    }

    /** Method getColumnas.
    * @return String[].
    */
    public String[] getColumnas() {
        return this.columnas;
    }

    /** Method getColumnasPK.
    * @return String[].
    */
    public String[] getColumnasPK() {
        return this.columnasPK;
    }

    /** Method getTipos.
    * @return int[].
    */
    public int[] getTipos() {
        return this.tipos;
    }

}
